body {
    font-family: "Poppins", sans-serif;
    background-color: #f8f9f9;
    margin: 0px;
    padding: 0px;
}

/* width */

::-webkit-scrollbar {
    width: 5px;
}

/* Track */

::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px #f8f9f9;
    border-radius: 0px;
}

/* Handle */

::-webkit-scrollbar-thumb {
    background: #ee2636;
    border-radius: 0px;
}

::-webkit-scrollbar:horizontal {
    height: 5px;
    background-color: transparent;
}
::-webkit-scrollbar-thumb:horizontal {
    background: #ee2636;
    border-radius: 50px;
}

::-webkit-scrollbar-track:horizontal {
    box-shadow: inset 0 0 5px transparent;
    border-radius: 50px;
}

/* UAM styles */

label {
    font-weight: 400;
}

.custom-input,
.file-upload-text,
.custom-input-group {
    height: 45px;
    border-radius: 5px;
}

input[type="text"][disabled],
input[type="text"][readonly] {
    background-color: #fff;
}

textarea {
    resize: none;
    font-size: 14px !important;
}

textarea[disabled],
textarea[readonly] {
    background-color: #fff !important;
    font-size: 14px;
}

.form-control:focus {
    border-color: #ddd;
    box-shadow: none;
    outline: none;
}

.form-control {
    border: 1px solid #ddd !important;
    box-shadow: none !important;
}

.custom-input-group {
    pointer-events: none; /* Disable pointer events */
}

.uam_container_content {
    background-color: #fff;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.2);
    border-radius: 10px;
    border-bottom: 3px solid #ee2636;
    padding: 20px;
    margin-top: 50px;
    margin-bottom: 50px;
}

.uam_container_card_p1 {
    padding-top: 10px;
    padding-bottom: 10px;
}

.uam_container_content_p1 {
    padding-top: 20px;
    padding-bottom: 20px;
    text-align: center;
}

.uam_container_content_p2 {
    padding-top: 20px;
    line-height: 2em;
}

.h-captcha {
    margin-top: 20px;
    margin-bottom: 15px;
}

.button_uam {
    background-color: #ee2636;
    border: none;
    border-radius: 5px;
    color: white;
    padding: 14px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    font-weight: 600;
    margin-bottom: 20px;
}

a.link_a {
    text-decoration: none;
    color: #ee2636;
    cursor: pointer;
}

.error,
.debit {
    color: #ff0000;
}

.credit {
    color: #009700;
}

#checkboxError {
    margin-bottom: 25px;
}

/* Table styles  */

table th:first-child {
    border-radius: 10px 0 0 0px;
}

table th:last-child {
    border-radius: 0 10px 0px 0;
}

.table_bg {
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.table_div {
    overflow-x: auto;
    border-radius: 10px;
}

table {
    border-collapse: collapse;
    width: 100%;
}

th {
    text-align: left;
    padding: 10px 20px 10px 20px;
    font-weight: 600;
}

td {
    text-align: left;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 10px;
    padding-bottom: 10px;
    font-weight: 400;
}

.trc {
    background-color: #fff;
    font-size: 14px;
    border-bottom: 1px solid #ddd;
}

.tdc {
    font-size: 14px;
}

.tdc_package_items {
    line-height: 1.8em;
    width: 30%;
}

.tdc_customer_details {
    line-height: 1.8em;
}

.div_no_data {
    background-color: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    padding: 20px;
}

.div_no_data_p1 {
    font-size: 14px;
    font-weight: 600;
    text-align: center;
}

/* Pagination styles */
.pagination {
    margin-top: 30px;
    display: flex;
    justify-content: center;
}

.pagination a {
    color: #ee2636;
    padding: 4px 14px;
    text-decoration: none;
    border: 1px solid #ee2636;
    margin: 0 4px;
    border-radius: 5px;
    font-weight: 600;
}

.page-info {
    color: #ee2636;
    padding: 4px 14px;
    text-decoration: none;
    border: 1px solid #ee2636;
    margin: 0 4px;
    border-radius: 5px;
    font-weight: 600;
}

.pagination a:hover {
    background-color: #ee2636;
    color: white;
}

.pagination .active {
    background-color: #ee2636;
    color: white;
}

.table_options {
    margin-bottom: 20px;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.search-input {
    width: 300px;
    margin-bottom: 0;
}

.table_options_button {
    background-color: #ee2636;
    border: none;
    border-radius: 5px;
    color: white;
    padding: 12px 24px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 14px;
    font-weight: 600;
}

.accept_button {
    background-color: #ee2636;
    border: none;
    border-radius: 5px;
    color: white;
    padding: 5px 10px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 14px;
    font-weight: 600;
}

a.accept_button {
    text-decoration: none;
    color: #fff;
}

.analytics_card_container {
    margin-bottom: 30px;
}

.analytics_card_container_1 {
    margin-bottom: 30px;
}

.analytics_card_container_p1 {
    padding-bottom: 5px;
    font-weight: 400;
}

.analytics_card_container_p2 {
    font-size: 24px;
    font-weight: 600;
}

.analytics_card_container_p3 {
    padding-bottom: 5px;
}

.badge {
    background-color: #ee2636;
    border-radius: 5px;
}

.analytics_card {
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    padding: 20px 20px 5px 20px;
}

.modal-header {
    border-bottom: 1px solid #ddd !important;
    border-bottom-left-radius: 0px !important;
    border-bottom-right-radius: 0px !important;
}

.modal-title {
    font-size: 14px;
    font-weight: 600;
}

.modal-content,
.modal-header,
.modal-body,
.modal-footer {
    border: none;
    border-radius: 10px;
}

.modal-body-action {
    padding: 0px;
    overflow: auto;
}

a.modal_button {
    text-decoration: none;
    color: #fff;
}

.modal_p1 {
    padding-bottom: 10px;
    line-height: 1.8em;
}

.modal-footer-custom {
    margin-top: 5px;
    padding: 10px 15px 10px 15px;
    border-radius: 0px 0px 10px 10px;
    background-color: #e8f3ff;
    color: #ee2636;
    text-align: left;
}

.close,
.close:hover {
    color: #000;
    opacity: 1;
    font-weight: 600;
    font-size: 26px;
}

.error_div {
    background-color: #fff;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    padding: 20px;
}
.error_div_p1 {
    font-size: 14px;
    font-weight: 600;
}

.error_div_p2 {
    padding-top: 10px;
    line-height: 1.8em;
}

.error_div_p3 {
    padding-top: 10px;
}

.error_div_button {
    background-color: #ee2636;
    border: none;
    border-radius: 5px;
    color: white;
    padding: 6px 24px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 14px;
    font-weight: 600;
}

a.error_div_button {
    text-decoration: none;
    color: #fff;
}

.dashboard_card_container {
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    margin-bottom: 20px;
}

.dashboard_card_container_1 {
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    margin-bottom: 30px;
}

.dashboard_card_container_2 {
    margin-bottom: 20px;
}

.dashboard_card_header {
    border-bottom: 1px solid #ddd;
    font-weight: 600;
    padding: 10px 20px 10px 20px;
}

.dashboard_card_footer {
    background-color: #e8f3ff;
    color: #ee2636;
    padding: 5px 20px 1px 20px;
    border-radius: 0px 0px 10px 10px;
    line-height: 1.8em;
}

.dashboard_card_footer_p1 {
    padding-top: 5px;
}

.dashboard_card_content {
    padding: 20px;
}

.dashboard_card_content_1 {
    padding: 0px;
    overflow: auto;
}

.dashboard_card_content_p1 {
    line-height: 1.8em;
    padding-bottom: 20px;
}

.dashboard_button {
    background-color: #ee2636;
    border: none;
    border-radius: 5px;
    color: white;
    padding: 13px 39px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 14px;
    font-weight: 600;
    margin-bottom: 5px;
}

#systemResponse {
    display: none;
    background-color: #ffcd1a;
    color: #151415;
    border-radius: 5px;
    padding: 10px;
    margin-bottom: 20px;
}

.dashboard_p1 {
    font-weight: 600;
}

.wallet_link_div {
    margin-top: 20px;
    margin-bottom: 20px;
}

.wallet_card_link_1 {
    margin-right: 10px;
}

#refreshBalance {
    cursor: pointer;
}

.wallet_amount {
    margin-top: 10px;
    margin-bottom: 30px;
}

.wallet_amount_button {
    padding: 8px 10px;
    border-radius: 5px;
    border: 1px solid #ddd;
    cursor: pointer;
    margin-right: 5px;
}

.wallet_amount_button:hover {
    padding: 8px 10px;
    border-radius: 5px;
    border: 1px solid #ee2636;
    color: #ee2636;
    cursor: pointer;
    margin-right: 5px;
}

.payment_mode_container {
    display: flex;
    justify-content: space-between;
    gap: 15px;
    flex-wrap: wrap;
    margin-bottom: 15px;
}

.payment_mode {
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 5px;
    padding: 10px;
    width: calc(25% - 15px);
    text-align: center;
    cursor: pointer;
}

.payment_mode_clicked {
    background-color: #ffcd1a;
    border: 1px solid #ffcd1a;
}

#upi_payment_form_container,
#bank_payment_form_container {
    display: none;
}

.upi_payment_form_container,
.bank_payment_form_container {
    margin-top: 30px;
}

#whatsapp-widget {
    position: fixed;
    bottom: 20px;
    right: 20px;
}

#whatsapp-widget img {
    width: 50px;
    height: auto;
    cursor: pointer;
    border-radius: 50%;
}

.container_default {
    margin-top: 50px;
    margin-bottom: 50px;
}

.table_button_container {
    overflow: hidden;
}

.table_button_container_1 {
    float: left;
    margin-right: 10px;
}

.table_button_container_2 {
    float: left;
}

.table_button_1 {
    background-color: #ee2636;
    color: #fff;
    border: none;
    border-radius: 5px;
    padding: 4px 8px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 14px;
}

.table_button_2 {
    background-color: #ffcd1a;
    color: #151415;
    border: none;
    border-radius: 5px;
    padding: 4px 8px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 14px;
}

.table_api_data {
    margin-bottom: 20px;
}

pre {
    background-color: #fff;
    border: none;
}

.file_button {
    background-color: #fff;
    border: 1px solid #ddd;
    border-left: none;
    border-radius: 0px 5px 5px 0px;
    padding: 11.5px 10px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 14px;
}

.file-upload {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    cursor: pointer;
}

.g-recaptcha {
    -webkit-transform: scale(0.88);
    -moz-transform: scale(0.88);
    -ms-transform: scale(0.88);
    -o-transform: scale(0.88);
    transform: scale(0.88);
    -webkit-transform-origin: 0 0;
    -moz-transform-origin: 0 0;
    -ms-transform-origin: 0 0;
    -o-transform-origin: 0 0;
    transform-origin: 0 0;
    margin-top: 20px;
    margin-bottom: 10px;
}

@media screen and (max-width: 600px) {
    .uam_container_content {
        background-color: #fff;
        border-radius: 10px;
        padding: 20px;
        margin-top: 20px;
        margin-bottom: 50px;
    }

    .analytics_card_container {
        margin-bottom: 10px;
    }

    .analytics_card_container_1 {
        margin-bottom: 0px;
    }

    .analytics_card {
        background-color: #fff;
        box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
        padding: 20px;
        margin-bottom: 20px;
    }

    .search-input {
        width: 100%;
        margin-bottom: 0;
    }

    .modal-body-action {
        padding: 0px;
        overflow: auto;
    }

    .payment_mode {
        width: calc(25% - 15px);
    }

    .container_default {
        margin-top: 20px;
        margin-bottom: 50px;
    }
}